variables:
  PIP_CACHE_DIR: "$CI_PROJECT_DIR/.cache/pip"

cache:
  key: "$CI_JOB_NAME"
  paths:
    - .cache/pip
    - venv

before_script:
  - python -V
  - pip install virtualenv
  - virtualenv venv
  - source venv/bin/activate
  - pip install .

test-3.9:
  image: python:3.9
  script:
  - python -m unittest tests.test_op
  stage: test
  tags:
    - docker
  only:
    - pushes

build-package:
  stage: deploy
  image: python:3.9
  script:
    - apt-get update
    - apt-get install -y git
    - pip install build twine
    - python -m build
    - TWINE_PASSWORD=${CI_JOB_TOKEN} TWINE_USERNAME=gitlab-ci-token python -m twine upload --verbose --non-interactive --skip-existing --repository-url ${CI_API_V4_URL}/projects/${CI_PROJECT_ID}/packages/pypi dist/*
  rules:
    - if: $CI_COMMIT_TAG
